Description

Supportanfrage

leider konnte ich bisher in der Dokumentation nicht auf eine Lösung meines Problems stoßen:

Wie lässt sich der Harddiskplayer über den Code stoppen?

Ist es denn möglich während dem Abspielen eines dat-Files auf bestimmte Positionen zu springen (ISampleStream)?

Lösung

Wie lässt sich der Harddiskplayer über den Code stoppen?

 Am besten du fährst einfach das Runlevel in deinem Service herunter und triggerst damit indirekt den Player.

_runtime->SetRunLevel(IRuntime::RL_Application);

 So macht das auch das angesprochene Example von dir.

Damit ist gewährleistet, dass alles Schritt für Schritt seinen Gang geht.

Ist es denn möglich während dem Abspielen eines dat-Files auf bestimmte Positionen zu springen (ISampleStream)?

 Ja, siehe SDK Doku Harddisk Player - The ISampleStream and ISampleStreamExtended implementation

Des Weiteren ist mir noch nicht klar wie ich über ISampleStream an den Harddiskplayer gelange.

 siehe SDK Doku Harddisk Player - Events received and emitted.

Verwende einfach genau dieses Snippet, das ist eben das Player Interface.

History

#1 - 2018-12-06 08:44 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

#2 - 2018-12-06 08:44 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic changed from ADTF::Recorder to ADTF::Player

Hallo Thomas,

um welche ADTF Version geht es denn ?
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_player_samplestream.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_player_event_table.html


#3 - 2018-12-06 09:15 - hidden

Hallo Florian,

die Version ist 2.12.

Grüße Thomas

#4 - 2018-12-10 10:45 - hidden

- Customer set to DAIMLER

- Affected Products ADTF 2.12.0 added

Hallo Thomas,

Wie lässt sich der Harddiskplayer über den Code stoppen?

 Ja, üebr Events, siehe SDK Doku Harddisk Player - Events received and emitted.

Alternativ direkt über die Sample Stream Schnittstelle, was ich aber für zuviel Aufwand halte... Link siehe Antwort unten.

Ist es denn möglich während dem Abspielen eines dat-Files auf bestimmte Positionen zu springen (ISampleStream)?

 Ja, siehe SDK Doku Harddisk Player - The ISampleStream and ISampleStreamExtended implementation

#5 - 2018-12-12 09:26 - hidden

Hallo Thomas Held ,

wir haben noch kein Feedback von dir erhalten.

Kann das Ticket damit geschlossen werden?

Bite Feedback geben bis 14.12.2018

Gruß,

Michael

#6 - 2018-12-12 14:45 - hidden

Hallo Michael,

über die IEvents kann ich nach meinem Verständnis beispielsweise den Namen des abgespielten Dat-Files bekommen. Allerdings verstehe ich noch

nicht ganz wie ich das Abspielen der Dat-File stoppen kann.

Des Weiteren ist mir noch nicht klar wie ich über ISampleStream an den Harddiskplayer gelange. Mein  Verständnis:

cObjectPtr<IFilter> pHDPlayer

_runtime->GetObject(„??“,??,(tVoid**)&pHDPlayer))

pHDPlayer->SetState(IFilter::State_xx)

 Ich habe mir dazu das Beispiel „Demo Dat File Player Streaming Application“ angesehen.

Viele Grüße

Thomas

#7 - 2018-12-12 14:52 - hidden

- Status changed from Customer Feedback Required to In Progress

#8 - 2018-12-14 09:33 - hidden

Hallo Martin,

kannst Du bitte hier mal antworten?

Danke und Gruß

Frank

#9 - 2018-12-17 15:26 - hidden
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_player_event_table.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_player_samplestream.html


- Status changed from In Progress to Customer Feedback Required

Hallo Thomas,

Allerdings verstehe ich noch nicht ganz wie ich das Abspielen der Dat-File stoppen kann.

 Ich hab noch einmal drüber nachgedacht was ::Stop betrifft.

Am besten du fährst einfach das Runlevel in deinem Service herunter und triggerst damit indirekt den Player.

_runtime->SetRunLevel(IRuntime::RL_Application);

 So macht das auch das angesprochene Example von dir.

Damit ist gewährlistet, dass alles Schritt für Schritt seinen Gang geht.

Des Weiteren ist mir noch nicht klar wie ich über ISampleStream an den Harddiskplayer gelange.

 siehe SDK Doku Harddisk Player - Events received and emitted.

Verwende einfach genau dieses Snippet, das ist eben das Player Interface.

#11 - 2018-12-21 09:06 - hidden

- Project changed from 9 to Public Support

- Subject changed from Fragen zum Harddiskplayer to How to access Harddisk Player

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#12 - 2019-01-14 13:23 - hidden

- Status changed from To Be Closed to Closed
